name: rasadyar_core
description: "A new Flutter project."
publish_to: none
version: 1.2.0+2

environment:
  sdk: ^3.9.0

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  #utils
  device_info_plus: ^11.5.0
  package_info_plus: ^8.3.1

  ##image_picker
  image_picker: ^1.2.0
  image_cropper: ^9.1.0

  #UI
  cupertino_icons: ^1.0.8
  flutter_slidable: ^4.0.1
  flutter_rating_bar: ^4.0.1
  lottie: ^3.3.1
  flutter_screenutil: ^5.9.3
  smooth_page_indicator: ^1.2.1

  ##Log
  logger: ^2.6.1

  ## reactive
  dartx: ^1.2.0
  rxdart: ^0.28.0

  ## local storage
  hive_ce: ^2.11.3
  hive_ce_flutter: ^2.3.1
  flutter_secure_storage: ^9.2.4
  path_provider: ^2.1.5

  #SVG
  flutter_svg: ^2.2.0
  cached_network_image: ^3.4.1
  rive: ^0.13.20

  #Shimmer
  shimmer: ^3.0.0

  #Generator
  flutter_gen_runner: ^5.11.0

  ##state manger
  get: ^4.7.2

  ##Di
  get_it: ^8.2.0

  #other
  permission_handler: ^12.0.1
  persian_datetime_picker: ^3.1.1
  encrypt: ^5.0.3
  collection: ^1.19.1

  #L10N tools
  intl: ^0.20.2

  #INITENT
  android_intent_plus: ^5.3.1

  #Map
  flutter_map: ^7.0.0
  flutter_map_animations: ^0.8.0
  flutter_map_marker_cluster: ^1.4.0
  flutter_map_tile_caching: ^10.0.0

  #location
  latlong2: ^0.9.1
  geolocator: ^14.0.2
  #network
  dio: ^5.9.0
  connectivity_plus: ^6.1.5

  #networkLogger
  pretty_dio_logger: ^1.4.0

  ##code generation
  freezed_annotation: ^3.1.0
  json_annotation: ^4.9.0
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  ##code generation
  build_runner: ^2.7.1
  hive_ce_generator: ^1.9.3
  freezed: ^3.2.0
  json_serializable: ^6.11.0
  test: ^1.24.0


  ##test
  mocktail: ^1.0.4
  get_test: ^4.0.1




flutter:
  uses-material-design: true


